<script type="text/template" id='pedidoTemplate'>
	<td style="text-align: center;" id="check_pf<%= idPedido  %>">
	<% 
		if(pagosTarjeta[0].terminal.idTerminal == 5){ 
	%>


	<% }else{ %>			
		<input type="checkbox" class="check_pf" onchange="check_pf('<%= idPedido  %>');">

	<% } %>
	</td>
	<td><%= idPedido %></td>
	<td><%= fechaGregorian %></td>
	<td style="padding: 3px;">
		<table style="width:100%; backgound:transparent !important;">
			<tbody>
			<%
				if(productos.length == 1){
					_.each(productos, function(productos,key){
			%>		
				<tr style='background-color: transparent;'>
					<td style="text-align: left;word-wrap: break-word;max-width: 167px;"><%= productos.productoPrecio.producto.descripcion %></td>
					<td style="text-align: center; width: 95px;"><a style="cursor: pointer;" id="cant<%= idPedido %>C<%= productos.idDetallePedido %>" data-type="number" onclick="aprovechanges('C','cant<%= idPedido %>C<%= productos.idDetallePedido %>','<%= productos.idDetallePedido %>')"><%= productos.cantidad %> pzas.</a></td>
					<td style="text-align: right; width: 60px;">
					<a style="cursor: pointer;" id="price<%= idPedido %>P<%= productos.idDetallePedido %>" onclick="getprices('<%= productos.productoPrecio.producto.idProducto %>','<%= productos.productoPrecio.oficinaVenta.claveSAP %>','<%= productos.productoPrecio.canalDistribucion %>','<%= productos.productoPrecio.organizacionVentas %>','<%= productos.idDetallePedido %>','<%= productos.productoPrecio.idProductoPrecio %>','P','price<%= idPedido %>P<%= productos.idDetallePedido %>');" >$<%= parseFloat(productos.productoPrecio.precio) %></a>
					</td>
				</tr>
			

			<%		});
				}else{
					_.each(productos, function(productos,key){
			%>		
				<tr style='background-color: transparent;'>
					<td>
						<button type="button" class="btn btn-warning" style="width: 20px;height: 20px;padding: 0px;" onclick="deleteProducto('<%= idPedido %>','<%= productos.idDetallePedido %>','<%= productos.productoPrecio.precio %>','<%= productos.cantidad %>','<%= productos.productoPrecio.producto.descripcion %>')">
							<span class="glyphicon glyphicon-remove-circle" style="font-size: 13px;"></span>
						</button>
					</td>
					<td style="text-align: left; width:190px;"><%= productos.productoPrecio.producto.descripcion %></td>
					<td style="text-align: center; width: 95px;"><a style="cursor: pointer;" id="cant<%= idPedido %>C<%= productos.idDetallePedido %>" data-type="number" onclick="aprovechanges('C','cant<%= idPedido %>C<%= productos.idDetallePedido %>','<%= productos.idDetallePedido %>')"><%= productos.cantidad %> pzas.</a></td>
					<td style="text-align: right; width: 60px;">
					<a style="cursor: pointer;" id="price<%= idPedido %>P<%= productos.idDetallePedido %>" onclick="getprices('<%= productos.productoPrecio.producto.idProducto %>','<%= productos.productoPrecio.oficinaVenta.claveSAP %>','<%= productos.productoPrecio.canalDistribucion %>','<%= productos.productoPrecio.organizacionVentas %>','<%= productos.idDetallePedido %>','<%= productos.productoPrecio.idProductoPrecio %>','P','price<%= idPedido %>P<%= productos.idDetallePedido %>');" >$<%= parseFloat(productos.productoPrecio.precio) %></a>
					</td>
				</tr>
			


			<%		});
				}
	        %>

			
	        
			</tbody>
		</table>
	</td>
	<td>
		<a  style="cursor: pointer;"  id="genv<%= idPedido %>" onclick="aprovechanges('G','genv<%= idPedido %>','<%= idPedido %>')">
			$<%= parseFloat(gastosEnvio.precio) %>
		</a>
	</td>
	<td id="<%= idPedido %>">$<%= parseFloat(subTotal) %></td>
	<td id="<%= idPedido %>">$<%= parseFloat(totalPago) %></td>
	<td id="<%= idPedido %>">
	    <a  style="cursor: pointer;"  id="promo<%= idPedido %>" onclick="getPromociones('M','promo<%= idPedido %>','<%= pagosTarjeta[0].numeroTarjeta.substr(0,6) %>')"><%= pagosTarjeta[0].promocion.descripcion %></a>
	</td>
	<td id="<%= idPedido %>"><%= detalles[0].productoPrecio.oficinaVenta.descripcion %></td>
	<td>
	<% if(pagosTarjeta[0].terminal.idTerminal != 5){ %>	
		<a style="cursor: pointer;"   id="terminal<%= idPedido %>" onclick="edit('T','terminal<%= idPedido %>')">
			<%= pagosTarjeta[0].terminal.descripcion %>
		</a>
	<% }else{ %>
			<%= pagosTarjeta[0].terminal.descripcion %>
	<% } %>
		
	</td>

	<% if (estatus.idEstatus == 1){  %>	
		<td  class="p_sincobro" ><%= estatus.descripcion %></td>
	<% }else if (estatus.idEstatus == 10){  %>
		<td  class="p_encobro" ><%= estatus.descripcion %></td>
	<% }else if (estatus.idEstatus == 16){ %>
		<td  class="p_posfechado" ><%= estatus.descripcion %></td>
	<% }else if (estatus.idEstatus == 17){ %>
		<td  class="p_error" ><%= estatus.descripcion %></td>
	<% } %>	
	<td><%= pagosTarjeta[0].fechaCobroGregorian.substr(0,10) %></td>
	<td id="Oper<%= idPedido %>">
	<% if(pagosTarjeta[0].terminal.idTerminal == 5){ %>	

		<button type="button" class="btn btn-danger" id="btn_cancelpedido" onclick="open_popupoperaciones('AM','<%= idPedido %>')"><span class="icon-notice"></span></button>
	<% 	}else if(pagosTarjeta[0].terminal.idTerminal != 5){ %>

		<button type="button" class="btn btn-danger" id="btn_cancelpedido" onclick="open_popupoperaciones('NAM','<%= idPedido %>','WSC')"><span class="icon-notice"></span></button>

	<% } %>

	</td>
</script>

<script type="text/javascript">
	var pedidosJSON = {{ pedidos|json_encode()|raw }};
	var usuarioJSON = {{ usuario|json_encode()|raw }};
		if(pedidosJSON.length != 0){
			//Carga de Apedidos para cambio de Terminal
			for(var x=0;x<=pedidosJSON.length-1;x++){
				if(pedidosJSON[x].pagosTarjeta[0].terminal.idTerminal != 5 && pedidosJSON[x].pagosTarjeta[0].terminal.idTerminal != 7){

					Apedidos1.push({id:pedidosJSON[x].idPedido,terminal:pedidosJSON[x].pagosTarjeta[0].terminal.idTerminal, GastosEnvio:pedidosJSON[x].gastosEnvio.precio, Estatus: pedidosJSON[x].estatus.idEstatus,TotalPago:pedidosJSON[x].totalPago});
				}	
			}

		if(usuarioJSON.length != 0){
			//USUARIO LOGEADO
			var usuario = usuarioJSON.tipoUsuario.idTipoUsuario;
		}else{
			var usuario = 0;
			alert('No hay datos de usuario logeado');
		}				
		

			//Carga de pedidos para cambio de precio por producto
			for(var z=0;z<=pedidosJSON.length-1;z++){
				for(var y=0;y<=pedidosJSON[z].productos.length-1;y++){
					Apedidosproductos.push({
						idPedido:pedidosJSON[z].idPedido,
						gastosEnvio:parseFloat(pedidosJSON[z].gastosEnvio.precio),
						subTotal:parseFloat(pedidosJSON[z].subTotal),
						totalPago:parseFloat(pedidosJSON[z].totalPago),
						idDetallePedido:pedidosJSON[z].productos[y].idDetallePedido,
						ProdPrecio:pedidosJSON[z].productos[y].productoPrecio.idProductoPrecio,
						cantidad:pedidosJSON[z].productos[y].cantidad,
						precio:parseFloat(pedidosJSON[z].productos[y].productoPrecio.precio),
						descripcion:pedidosJSON[z].productos[y].productoPrecio.producto.descripcion
					});

				}
			}

		}
		
//Formato Gregoriano de fecha
function gregoriandate(date){
	var annio = date.substring(0,4);
	date = date.substr(5);
	var mes = date.substr(2,4);
	mes = mes.substr(1);
	var dia = date.substr(0,2);
	date = mes+"-"+dia+"-"+annio;
	return date;
}


/* BOTONES PARA LAS RESPUESTAS 
-----> CANCELACIONES
<button type="button" class="btn btn-danger" id="btn_cancelpedido"><span class="icon-minus-alt"></span></button>
-----> COBRO EN TERMINAL FISICA
<button type="button" class="btn btn-info" id="btn_cobromanual"><span class="icon-notice" style="font-size: 17px;"></span></button>
-----> COBRO REALIZADO CORRECTAMENTE
<button type="button" class="btn btn-success" id="btn_cobro"><span class="icon-check-alt"></span></button>
*/

</script>
